Source: libepoxy
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends: debhelper-compat (= 13),
               meson,
               pkg-config,
               libx11-dev,
               libgl-dev,
               libegl-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/anholt/libepoxy
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libepoxy
Vcs-Git: https://salsa.debian.org/xorg-team/lib/libepoxy.git

Package: libepoxy-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libegl-dev,
         libepoxy0 (= ${binary:Version}),
         libgl-dev,
         ${misc:Depends}
Description: OpenGL function pointer management library- development
 It hides the complexity of dlopen(), dlsym(), glXGetProcAddress(),
 eglGetProcAddress(), etc. from the app developer, with very little
 knowledge needed on their part.  They get to read GL specs and write
 code using undecorated function names like glCompileShader().
 .
 This package contains the development headers for the library found in
 libepoxy0. Non-developers likely have little use for this package.

Package: libepoxy0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL function pointer management library
 It hides the complexity of dlopen(), dlsym(), glXGetProcAddress(),
 eglGetProcAddress(), etc. from the app developer, with very little
 knowledge needed on their part.  They get to read GL specs and write
 code using undecorated function names like glCompileShader().

Package: libepoxy0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL function pointer management library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
